From 86b886baf2fc338eefbef58507f39bee3619cfd8 Mon Sep 17 00:00:00 2001
From: lijianguo <lijianguo@zhumengyuan.com>
Date: Tue, 26 Jan 2021 13:21:55 +0800
Subject: [PATCH] chore(docs): add rabbitmq docs

---
 src/_includes/install-workflow.md             |  2 +
 src/installing-workflow/index.md              |  5 ++-
 src/installing-workflow/ingress.md            |  6 ++-
 src/managing-workflow/upgrading-workflow.md   |  2 +
 .../provider/azure-acs/install-azure-acs.md   |  2 +
 .../provider/minikube/install-minikube.md     |  2 +
 src/troubleshooting/kubectl.md                |  4 +-
 src/understanding-workflow/components.md      | 37 ++++++++-----------
 8 files changed, 35 insertions(+), 25 deletions(-)

diff --git a/src/_includes/install-workflow.md b/src/_includes/install-workflow.md
index 947e07b9d..3526cc84b 100644
--- a/src/_includes/install-workflow.md
+++ b/src/_includes/install-workflow.md
@@ -52,12 +52,14 @@ $ kubectl --namespace=drycc get pods
 NAME                          READY     STATUS    RESTARTS   AGE
 drycc-builder-hy3xv            1/1       Running   5          5m
 drycc-controller-g3cu8         1/1       Running   5          5m
+drycc-controller-celery-cmxxn  3/3       Running   0          5m
 drycc-database-rad1o           1/1       Running   0          5m
 drycc-logger-fluentd-1v8uk     1/1       Running   0          5m
 drycc-logger-fluentd-esm60     1/1       Running   0          5m
 drycc-logger-sm8b3             1/1       Running   0          5m
 drycc-minio-4ww3t              1/1       Running   0          5m
 drycc-registry-asozo           1/1       Running   1          5m
+drycc-rabbitmq-0               1/1       Running   0          5m
 ```
 
 Once all of the pods are in the `READY` state, Drycc Workflow is up and running!
diff --git a/src/installing-workflow/index.md b/src/installing-workflow/index.md
index af71212c5..1ad95e8ca 100644
--- a/src/installing-workflow/index.md
+++ b/src/installing-workflow/index.md
@@ -63,7 +63,7 @@ $ helm install --namespace drycc \
     drycc/workflow
 ```
 
-By default, registry uses docker hub, at present, we support three registries. They are: 
+By default, registry uses docker hub, at present, we support three registries. They are:
 
 * redhat quay `quay.io`
 * docker hub `docker.io`
@@ -82,6 +82,7 @@ $ helm install --namespace drycc \
     --set fluentd.image_registry=quay.io \
     --set redis.image_registry=quay.io \
     --set influxdb.image_registry=quay.io \
+    --set rabbitmq.image_registry=quay.io \
     --set logger.image_registry=quay.io \
     --set minio.image_registry=quay.io \
     --set monitor.image_registry=quay.io \
@@ -116,6 +117,7 @@ $ kubectl --namespace=drycc get pods
 NAME                                     READY     STATUS    RESTARTS   AGE
 drycc-builder-574483744-l15zj             1/1       Running   0          4m
 drycc-controller-3953262871-pncgq         1/1       Running   2          4m
+drycc-controller-celery-cmxxn             3/3       Running   0          4m
 drycc-database-83844344-47ld6             1/1       Running   0          4m
 drycc-influxdb-2729788615-m9b5n           1/1       Running   0          4m
 drycc-logger-176328999-wjckx              1/1       Running   4          4m
@@ -127,6 +129,7 @@ drycc-monitor-telegraf-wmcmn              1/1       Running   1          4m
 drycc-nsqd-3597503299-6mn2x               1/1       Running   0          4m
 drycc-registry-756475849-lwc6b            1/1       Running   1          4m
 drycc-registry-proxy-96c4p                1/1       Running   0          4m
+drycc-rabbitmq-0                          1/1       Running   0          4m
 ```
 
 Once all of the pods are in the `READY` state, Drycc Workflow is up and running!
diff --git a/src/installing-workflow/ingress.md b/src/installing-workflow/ingress.md
index d42c91a86..cdea31493 100644
--- a/src/installing-workflow/ingress.md
+++ b/src/installing-workflow/ingress.md
@@ -18,12 +18,12 @@ $ helm install drycc/workflow --namespace drycc \
     --set global.platform_domain=drycc.cc \
     --set builder.service.type=NodePort \
     --set builder.service.nodePort=32222
-``` 
+```
 
 If you want to use Load Balancer on a bare machine, you can look at [metallb](https://github.com/danderson/metallb)
 
 Where `global.platform_domain` is a **required** parameter that is traditionally not required for Workflow that is explained in the next section. In this example we are using `drycc.cc` for `$hostname`.
- 
+
 Helm will install a variety of Kubernetes resources in the `drycc` namespace.
 Wait for the pods that Helm launched to be ready. Monitor their status by running:
 
@@ -48,12 +48,14 @@ $ kubectl --namespace=drycc get pods
 NAME                          READY     STATUS    RESTARTS   AGE
 drycc-builder-hy3xv            1/1       Running   5          5m
 drycc-controller-g3cu8         1/1       Running   5          5m
+drycc-controller-celery-cmxxn  3/3       Running   0          5m
 drycc-database-rad1o           1/1       Running   0          5m
 drycc-logger-fluentd-1v8uk     1/1       Running   0          5m
 drycc-logger-fluentd-esm60     1/1       Running   0          5m
 drycc-logger-sm8b3             1/1       Running   0          5m
 drycc-minio-4ww3t              1/1       Running   0          5m
 drycc-registry-asozo           1/1       Running   1          5m
+drycc-rabbitmq-0               1/1       Running   0          5m
 ```
 
 ## Install a Kubernetes Ingress Controller
diff --git a/src/managing-workflow/upgrading-workflow.md b/src/managing-workflow/upgrading-workflow.md
index b0ed9a137..a9be6f97c 100644
--- a/src/managing-workflow/upgrading-workflow.md
+++ b/src/managing-workflow/upgrading-workflow.md
@@ -54,6 +54,7 @@ $ kubectl --namespace=drycc get pods
 NAME                                     READY     STATUS    RESTARTS   AGE
 drycc-builder-2448122224-3cibz            1/1       Running   0          5m
 drycc-controller-1410285775-ipc34         1/1       Running   3          5m
+drycc-controller-celery-694f75749b-cmxxn  3/3       Running   0          5m
 drycc-database-e7c5z                      1/1       Running   0          5m
 drycc-influxdb-ah8io                      1/1       Running   0          5m
 drycc-logger-cgjup                        1/1       Running   3          5m
@@ -73,6 +74,7 @@ drycc-registry-proxy-4m3o4                1/1       Running   0          5m
 drycc-registry-proxy-no3r1                1/1       Running   0          5m
 drycc-registry-proxy-ou8is                1/1       Running   0          5m
 drycc-registry-proxy-zyajl                1/1       Running   0          5m
+drycc-rabbitmq-0                          1/1       Running   0          5m
 ```
 
 ### Step 3: Upgrade the Drycc Client
diff --git a/src/quickstart/provider/azure-acs/install-azure-acs.md b/src/quickstart/provider/azure-acs/install-azure-acs.md
index 2d67ef1c9..667e8bdfd 100644
--- a/src/quickstart/provider/azure-acs/install-azure-acs.md
+++ b/src/quickstart/provider/azure-acs/install-azure-acs.md
@@ -71,12 +71,14 @@ $ kubectl --namespace=drycc get pods
 NAME                          READY     STATUS    RESTARTS   AGE
 drycc-builder-hy3xv            1/1       Running   5          5m
 drycc-controller-g3cu8         1/1       Running   5          5m
+drycc-controller-celery-cmxxn  3/3       Running   0          5m
 drycc-database-rad1o           1/1       Running   0          5m
 drycc-logger-fluentd-1v8uk     1/1       Running   0          5m
 drycc-logger-fluentd-esm60     1/1       Running   0          5m
 drycc-logger-sm8b3             1/1       Running   0          5m
 drycc-minio-4ww3t              1/1       Running   0          5m
 drycc-registry-asozo           1/1       Running   1          5m
+drycc-rabbitmq-0               1/1       Running   0          5m
 ```
 
 Once all of the pods are in the `READY` state, Drycc Workflow is up and running!
diff --git a/src/quickstart/provider/minikube/install-minikube.md b/src/quickstart/provider/minikube/install-minikube.md
index 2828bf2e3..7d9ee7c80 100644
--- a/src/quickstart/provider/minikube/install-minikube.md
+++ b/src/quickstart/provider/minikube/install-minikube.md
@@ -54,12 +54,14 @@ $ kubectl --namespace=drycc get pods
 NAME                          READY     STATUS    RESTARTS   AGE
 drycc-builder-hy3xv            1/1       Running   5          5m
 drycc-controller-g3cu8         1/1       Running   5          5m
+drycc-controller-celery-cmxxn  3/3       Running   0          5m
 drycc-database-rad1o           1/1       Running   0          5m
 drycc-logger-fluentd-1v8uk     1/1       Running   0          5m
 drycc-logger-fluentd-esm60     1/1       Running   0          5m
 drycc-logger-sm8b3             1/1       Running   0          5m
 drycc-minio-4ww3t              1/1       Running   0          5m
 drycc-registry-asozo           1/1       Running   1          5m
+drycc-rabbitmq-0               1/1       Running   0          5m
 ```
 
 Once all of the pods are in the `READY` state, Drycc Workflow is up and running!
diff --git a/src/troubleshooting/kubectl.md b/src/troubleshooting/kubectl.md
index 4ba5da6e0..cb31b7736 100644
--- a/src/troubleshooting/kubectl.md
+++ b/src/troubleshooting/kubectl.md
@@ -12,8 +12,9 @@ running, run:
 	NAME                          READY     STATUS              RESTARTS   AGE
 	drycc-builder-gqum7            0/1       ContainerCreating   0          4s
 	drycc-controller-h6lk6         0/1       ContainerCreating   0          4s
+	drycc-controller-celery-cmxxn  0/3       ContainerCreating   0          4s
 	drycc-database-56v39           0/1       ContainerCreating   0          4s
-        drycc-influxdb-f9ftm           0/1       Pending             0          3s
+    drycc-influxdb-f9ftm           0/1       Pending             0          3s
 	drycc-logger-fluentd-xihr1     0/1       Pending             0          2s
 	drycc-logger-grupg             0/1       ContainerCreating   0          3s
 	drycc-minio-c2exb              0/1       Pending             0          3s
@@ -21,6 +22,7 @@ running, run:
 	drycc-monitor-stdout-novxs     0/1       Pending             0          3s
 	drycc-monitor-telegraf-dc3y3   0/1       Pending             0          2s
 	drycc-registry-5bor6           0/1       Pending             0          3s
+	drycc-rabbitmq-0               0/1       ContainerCreating   0          3s
 
 !!! tip
 	To save precious keystrokes, alias `kubectl --namespace=drycc` to `kd` so it is easier to type
diff --git a/src/understanding-workflow/components.md b/src/understanding-workflow/components.md
index 346cac89d..4b192d842 100644
--- a/src/understanding-workflow/components.md
+++ b/src/understanding-workflow/components.md
@@ -97,20 +97,6 @@ images generated from the builder component. Registry persists the Docker image
 images to either local storage (in development mode) or to object storage
 configured for the cluster.
 
-## Router
-
-**Project Location:** [drycc/router](https://github.com/drycc/router)
-
-The router component is based on [Nginx][] and is responsible for routing
-inbound HTTP(S) traffic to your applications. The default workflow charts
-provision a Kubernetes service in the `drycc` namespace with a service type of
-`LoadBalancer`. Depending on your Kubernetes configuration, this may provision
-a cloud-based loadbalancer automatically.
-
-The router component uses Kubernetes annotations for both Application discovery
-as well as router configuration. For more detailed documentation and possible
-configuration view the router [project documentation][router-documentation].
-
 ## Logger: fluentd, logger
 
 The logging subsystem consists of two components. Fluentd handles log shipping
@@ -135,21 +121,32 @@ documentation][logger-documentation].
 
 **Project Location:** [drycc/monitor](https://github.com/drycc/monitor)
 
-The monitoring subsystem consists of three components: Telegraf, InfluxDB and Grafana.
+The monitoring subsystem consists of two components: Telegraf and Grafana.
 
 Telegraf is the is the metrics collection agent that runs using the daemon set API. It runs on
 every worker node in the cluster, fetches information about the pods currently running and ships it
 to InfluxDB.
 
-InfluxDB is a database that stores the metrics collected by Telegraf. Out of the box, it does not
-persist to disk, but you can set it up to back it with a persisitent volume or swap this out with
-a more robust InfluxDB setup in a production setting.
-
 Grafana is a standalone graphing application. It natively supports InfluxDB as a datasource and
 provides a robust engine for creating dashboards on top of timeseries data. Workflow provides a few
 dashboards out of the box for monitoring Drycc Workflow and Kubernetes. The dashboards can be used
 as a starting point for creating more custom dashboards to suit a user's needs.
 
+## InfluxDB
+
+**Project Location:** [drycc/influxdb](https://github.com/drycc/influxdb)
+
+InfluxDB is a database that stores the metrics collected by Telegraf. Out of the box, it does not
+persist to disk, but you can set it up to back it with a persisitent volume or swap this out with
+a more robust InfluxDB setup in a production setting.
+
+## Rabbitmq
+
+**Project Location:** [drycc/rabbitmq](https://github.com/drycc/rabbitmq)
+
+RabbitMQ is the most widely deployed open source message broker.
+Controller use celery with rabbitMQ to execute the asynchronous task.
+
 ## See Also
 
 * [Workflow Concepts][concepts]
@@ -166,7 +163,5 @@ as a starting point for creating more custom dashboards to suit a user's needs.
 [configure-objectstorage]: ../installing-workflow/configuring-object-storage.md
 [logger-documentation]: https://github.com/drycc/logger
 [release]: ../reference-guide/terms.md#release
-[router-documentation]: https://github.com/drycc/router
-[router]: #router
 [using-buildpacks]: ../applications/using-buildpacks.md
 [using-dockerfiles]: ../applications/using-dockerfiles.md