From dfb2ace5d2c0e05522f70671cd2fbc25164ac717 Mon Sep 17 00:00:00 2001
From: lijianguo <lijianguo@zhumengyuan.com>
Date: Mon, 1 Mar 2021 10:41:50 +0800
Subject: [PATCH] chore(docs): maintenance update

---
 README.md                                    |  2 ++
 src/applications/managing-app-lifecycle.md   |  2 +-
 src/applications/using-buildpacks.md         | 21 ++++++++++----------
 src/installing-workflow/chart-provenance.md  |  8 ++++----
 src/installing-workflow/index.md             |  4 ++--
 src/managing-workflow/platform-monitoring.md | 10 +++++-----
 src/managing-workflow/upgrading-workflow.md  |  2 +-
 src/quickstart/install-cli-tools.md          |  4 ++--
 src/roadmap/releases.md                      |  4 ++--
 src/users/cli.md                             |  2 +-
 10 files changed, 31 insertions(+), 28 deletions(-)

diff --git a/README.md b/README.md
index 79636210f..31cd84169 100644
--- a/README.md
+++ b/README.md
@@ -20,6 +20,8 @@ Please see below for links and descriptions of each component:
 - [registry](https://github.com/drycc/registry) - The Docker registry
 - [logger](https://github.com/drycc/logger) - The (in-memory) log buffer for `drycc logs`
 - [monitor](https://github.com/drycc/monitor) - The platform monitoring components
+- [influxdb](https://github.com/drycc/influxdb) - The monitor database
+- [rabbitmq](https://github.com/drycc/rabbitmq) - RabbitMQ is a message broker used with controller celery
 - [minio](https://github.com/drycc/minio) - The in-cluster, ephemeral, development-only object storage system
 - [nsq](https://github.com/drycc/nsq) - Realtime distributed messaging platform
 - [workflow-cli](https://github.com/drycc/workflow-cli) - Workflow CLI `drycc`
diff --git a/src/applications/managing-app-lifecycle.md b/src/applications/managing-app-lifecycle.md
index 9d2634469..f0849521c 100644
--- a/src/applications/managing-app-lifecycle.md
+++ b/src/applications/managing-app-lifecycle.md
@@ -80,7 +80,7 @@ $ drycc perms:create otheruser
 Adding otheruser to peachy-waxworks collaborators... done
 ```
 
-Use `drycc perms` to see who an application is currently shared with, and `drycc perms:remove` to remove a collaborator.
+Use `drycc perms` to see who an application is currently shared with, and `drycc perms:delete` to remove a collaborator.
 
 !!! note
     Collaborators can do anything with an application that its owner can do, except delete the application.
diff --git a/src/applications/using-buildpacks.md b/src/applications/using-buildpacks.md
index a5c76c710..4b598104a 100644
--- a/src/applications/using-buildpacks.md
+++ b/src/applications/using-buildpacks.md
@@ -101,16 +101,14 @@ are pushing.
 
 ## Using a Custom Buildpack
 
-To use a custom buildpack, set the `BUILDPACK_URL` environment variable.
+To use a custom buildpack, you need create a `.buildpack` file in your root path app.
 
-    $ drycc config:set BUILDPACK_URL=https://github.com/dpiddy/heroku-buildpack-ruby-minimal
-    Creating config... done, v2
-
-    === humble-autoharp
-    BUILDPACK_URL: https://github.com/dpiddy/heroku-buildpack-ruby-minimal
+    $  tee > .buildpack << EOF
+       > https://github.com/dpiddy/heroku-buildpack-ruby-minimal
+       > EOF
 
 !!! note
-    If, however, you're unable to deploy using the latest version of the buildpack, You can set an exact version of a buildpack by using a git revision in your `BUILDPACK_URL`. For example: `BUILDPACK_URL=https://github.com/dpiddy/heroku-buildpack-ruby-minimal#v13`
+    If, however, you're unable to deploy using the latest version of the buildpack, You can set an exact version of a buildpack by using a git revision in your `.buildpack`. For example: `https://github.com/dpiddy/heroku-buildpack-ruby-minimal#v13`
 
 On your next `git push`, the custom buildpack will be used.
 
@@ -141,10 +139,13 @@ which has access. Use either the path of a private key file or the raw key mater
 
 For example, to use a custom buildpack hosted at a private GitHub URL, ensure that an SSH public
 key exists in your [GitHub settings][]. Then set `SSH_KEY` to the corresponding SSH private key
-and set `BUILDPACK_URL` to the URL:
+and set `.buildpack` to the URL:
 
-    $ drycc config:set SSH_KEY=/home/user/.ssh/github_id_rsa
-    $ drycc config:set BUILDPACK_URL=git@github.com:user/private_buildpack.git
+    $  tee > .buildpack << EOF
+       > https://github.com/dpiddy/heroku-buildpack-ruby-minimal
+       > EOF
+    $ git add .buildpack
+    $ git commit -m "chore(buildpack): modify the buildpack url"
     $ git push drycc master
 
 ## Builder selector
diff --git a/src/installing-workflow/chart-provenance.md b/src/installing-workflow/chart-provenance.md
index 0ebd1c2fa..d0b4cd5f5 100644
--- a/src/installing-workflow/chart-provenance.md
+++ b/src/installing-workflow/chart-provenance.md
@@ -34,16 +34,16 @@ Charts signed with this key can then be verified when fetched:
 $ helm repo add drycc https://charts.drycc.cc/stable
 "drycc" has been added to your repositories
 
-$ helm fetch --verify drycc/workflow --version v2.17.0
-Verification: &{0xc420704c80 sha256:a2a140dca075a2eabe20422f1aa5bc1ce210b18a326472d6b2708e1a93afebea workflow-v2.17.0.tgz}
+$ helm fetch --verify drycc/workflow --version v1.0.0
+Verification: &{0xc420704c80 sha256:a2a140dca075a2eabe20422f1aa5bc1ce210b18a326472d6b2708e1a93afebea workflow-v1.0.0.tgz}
 ```
 
-One can then inspect the fetched `workflow-v2.17.0.tgz.prov` provenance file.
+One can then inspect the fetched `workflow-v1.0.0.tgz.prov` provenance file.
 
 If the chart was not signed, the command above would result in:
 
 ```
-Error: Failed to fetch provenance "https://charts.drycc.cc/stable/workflow/workflow-v2.17.0.tgz.prov"
+Error: Failed to fetch provenance "https://charts.drycc.cc/stable/workflow/workflow-v1.0.0.tgz.prov"
 ```
 
 Alternatively, the chart can also be verified at install time:
diff --git a/src/installing-workflow/index.md b/src/installing-workflow/index.md
index 1ad95e8ca..a79140229 100644
--- a/src/installing-workflow/index.md
+++ b/src/installing-workflow/index.md
@@ -1,6 +1,6 @@
 # Installing Drycc Workflow
 
-This document is aimed at those who have already provisioned a [Kubernetes v1.12+][] cluster
+This document is aimed at those who have already provisioned a [Kubernetes v1.16.15+][] cluster
 and want to install Drycc Workflow. If help is required getting started with Kubernetes and
 Drycc Workflow, follow the [quickstart guide](../quickstart/index.md) for assistance.
 
@@ -136,5 +136,5 @@ Once all of the pods are in the `READY` state, Drycc Workflow is up and running!
 
 After installing Workflow, [register a user and deploy an application](../quickstart/deploy-an-app.md).
 
-[Kubernetes v1.3.4+]: system-requirements.md#kubernetes-versions
+[Kubernetes v1.16.15+]: system-requirements.md#kubernetes-versions
 [helm]: https://github.com/kubernetes/helm/blob/master/docs/install.md
diff --git a/src/managing-workflow/platform-monitoring.md b/src/managing-workflow/platform-monitoring.md
index 98fa5bbb0..4337ecb4e 100644
--- a/src/managing-workflow/platform-monitoring.md
+++ b/src/managing-workflow/platform-monitoring.md
@@ -58,7 +58,7 @@ A production install of Grafana should have the following configuration values c
 
 
 ### On Cluster Persistence
-Enabling persistence will allow your custom configuration to persist across pod restarts. This means that the default sqllite database (which stores things like sessions and user data) will not disappear if you upgrade the Workflow installation. 
+Enabling persistence will allow your custom configuration to persist across pod restarts. This means that the default sqllite database (which stores things like sessions and user data) will not disappear if you upgrade the Workflow installation.
 
 If you wish to have persistence for Grafana you can set `enabled` to `true` in the `values.yaml` file before running `helm install`.
 
@@ -92,13 +92,13 @@ If you wish to have persistence for InfluxDB you can set `enabled` to `true` in
 
 ### Off Cluster Influxdb
 
-To use off-cluster Influx, please provide the following values in the `values.yaml` file before running `helm install`.
+To use off-cluster Influx v2, please provide the following values in the `values.yaml` file before running `helm install`.
 
 * `influxdb_location=off-cluster`
 * `url = "http://my-influxhost.com:8086"`
-* `database = "metrics"`
-* `user = "InfluxUser"`
-* `password = "MysuperSecurePassword"`
+* `bucket = "metrics"`
+* `org = "drycc"`
+* `token = "MysuperSecurePassword"`
 
 
 ## [Telegraf](https://docs.influxdata.com/telegraf)
diff --git a/src/managing-workflow/upgrading-workflow.md b/src/managing-workflow/upgrading-workflow.md
index a9be6f97c..98cd1e0db 100644
--- a/src/managing-workflow/upgrading-workflow.md
+++ b/src/managing-workflow/upgrading-workflow.md
@@ -82,7 +82,7 @@ drycc-rabbitmq-0                          1/1       Running   0          5m
 Users of Drycc Workflow should now upgrade their drycc client to avoid getting `WARNING: Client and server API versions do not match. Please consider upgrading.` warnings.
 
 ```
-curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install-v2.sh | bash -s v2.20.0 && sudo mv drycc $(which drycc)
+curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install.tmpl | bash -s v1.1.0 && sudo mv drycc $(which drycc)
 ```
 
 
diff --git a/src/quickstart/install-cli-tools.md b/src/quickstart/install-cli-tools.md
index 65ab5a2bc..ca208ca14 100644
--- a/src/quickstart/install-cli-tools.md
+++ b/src/quickstart/install-cli-tools.md
@@ -5,7 +5,7 @@ Use the CLI to create and configure and manage applications.
 
 Install the `drycc` client for Linux or Mac OS X with:
 
-    $ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install.tmpl | bash -s v1.0.1
+    $ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install.tmpl | bash -s v1.1.0
 
 Others please visit: https://github.com/drycc/workflow-cli/releases
 
@@ -21,7 +21,7 @@ should move it somewhere in your $PATH:
 Check your work by running `drycc version`:
 
     $ drycc version
-    v2.17.0
+    v1.1.0
 
 !!! note
     Note that version numbers may vary as new releases become available
diff --git a/src/roadmap/releases.md b/src/roadmap/releases.md
index bf26394e9..02d5ddfaa 100644
--- a/src/roadmap/releases.md
+++ b/src/roadmap/releases.md
@@ -137,7 +137,7 @@ verify it can be fetched (and verified):
 $ helm repo add controller https://charts.drycc.cc/stable
 "controller" has been added to your repositories
 $ helm fetch --verify drycc/controller --version v1.0.1
-Verification: &{0xc4207ec870 sha256:026e766e918ff28d2a7041bc3d560d149ee7eb0cb84165c9d9d00a3045ff45c3 controller-v2.17.0.tgz}
+Verification: &{0xc4207ec870 sha256:026e766e918ff28d2a7041bc3d560d149ee7eb0cb84165c9d9d00a3045ff45c3 controller-v1.0.1.tgz}
 ```
 
 ## How to Release Workflow
@@ -252,7 +252,7 @@ Kick off https://ci.drycc.info/job/workflow-cli-build-stable/ with the `TAG` bui
 and then verify `stable` artifacts are available and appropriately updated after the job completes:
 
 ```
-$ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install-v2.sh | bash -s v2.20.0
+$ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install.tmpl | bash -s v1.1.0
 $ ./drycc version
 # (Should show $WORKFLOW_RELEASE)
 ```
diff --git a/src/users/cli.md b/src/users/cli.md
index 4860bda4a..138b140d5 100644
--- a/src/users/cli.md
+++ b/src/users/cli.md
@@ -7,7 +7,7 @@ with Drycc Workflow.
 
 Install the latest `drycc` client for Linux or Mac OS X with:
 
-    $ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install-v2.sh | bash -s v2.20.0
+    $ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install.tmpl | bash -s v1.1.0
 
 The installer puts `drycc` in your current directory, but you should move it
 somewhere in your $PATH: