diff --git a/README.md b/README.md
index f47ec9a6e..c48c82332 100644
--- a/README.md
+++ b/README.md
@@ -28,7 +28,7 @@ We welcome your input! If you have feedback, please [submit an issue][issues]. I
 
 # Working on Documentation
 
-[![Build Status](https://travis-ci.org/drycc/workflow.svg?branch=master)](https://travis-ci.org/drycc/workflow)
+[![Build Status](https://travis-ci.org/drycc/workflow.svg?branch=main)](https://travis-ci.org/drycc/workflow)
 [![Latest Docs](http://img.shields.io/badge/docs-latest-fc1e5e.svg)](http://docs-v2.readthedocs.org/en/latest/)
 
 The Drycc project welcomes contributions from all developers. The high level process for development matches many other open source projects. See below for an outline.
diff --git a/charts/workflow/values.yaml b/charts/workflow/values.yaml
index 15d628d30..9d9278563 100644
--- a/charts/workflow/values.yaml
+++ b/charts/workflow/values.yaml
@@ -71,7 +71,7 @@ global:
   use_rbac: true
   # Please check `kubernetes.io/ingress.class`
   # The cert-manager component must be installed
-  # If you want to use HTTPSEnforced or whitelist functions, you must specify:
+  # If you want to use HTTPSEnforced or allowlist functions, you must specify:
   # - nginx
   # - traefik
   # Only the above options have been supported so far
diff --git a/src/contributing/development-environment.md b/src/contributing/development-environment.md
index 00546f187..51ff5a879 100644
--- a/src/contributing/development-environment.md
+++ b/src/contributing/development-environment.md
@@ -95,7 +95,7 @@ $ cd <component>
 !!! note
     By checking out the forked copy into the namespace `github.com/drycc/<component>`, we are tricking the Go toolchain into seeing our fork as the "official" source tree.
 
-If you are going to be issuing pull requests to the upstream repository from which you forked, we suggest configuring Git such that you can easily rebase your code to the upstream repository's master branch. There are various strategies for doing this, but the [most common](https://help.github.com/articles/fork-a-repo/) is to add an `upstream` remote:
+If you are going to be issuing pull requests to the upstream repository from which you forked, we suggest configuring Git such that you can easily rebase your code to the upstream repository's main branch. There are various strategies for doing this, but the [most common](https://help.github.com/articles/fork-a-repo/) is to add an `upstream` remote:
 
 ```
 $ git remote add upstream https://github.com/drycc/<component>.git
diff --git a/src/contributing/overview.md b/src/contributing/overview.md
index dfe9749a5..51e21644f 100644
--- a/src/contributing/overview.md
+++ b/src/contributing/overview.md
@@ -38,7 +38,7 @@ Interact with the community on our user mailing list or live in our [Drycc #comm
 [dd]: design-documents.md
 [dev-environment]: development-environment.md
 [easy fix]: https://github.com/pulls?utf8=%E2%9C%93&q=user%3Adrycc+label%3A%22easy+fix%22+is%3Aopen
-[dco]: https://github.com/drycc/workflow/blob/master/DCO
+[dco]: https://github.com/drycc/workflow/blob/main/DCO
 [help wanted]: https://github.com/pulls?utf8=%E2%9C%93&q=user%3Adrycc+label%3A%22help+wanted%22+is%3Aopen
 [troubleshooting]: ../troubleshooting/index.md
 [issues]: https://github.com/pulls?utf8=%E2%9C%93&q=user%3Adrycc+user%3Ahelm
diff --git a/src/installing-workflow/index.md b/src/installing-workflow/index.md
index 7e00a9b03..a21c3c4f2 100644
--- a/src/installing-workflow/index.md
+++ b/src/installing-workflow/index.md
@@ -35,7 +35,7 @@ More rigorous installations would benefit from using outside sources for the fol
 
 #### Ingress
 
-Now, workflow requires that ingress and cert-manager must be installed. Any compatible Kubernetes entry controller can be used, but only ingress-nginx and ingress-traefik currently support enforced HTTPS and whitelist. Enable entries in accordance with [this guide](./ingress.md).
+Now, workflow requires that ingress and cert-manager must be installed. Any compatible Kubernetes entry controller can be used, but only ingress-nginx and ingress-traefik currently support enforced HTTPS and allowlist. Enable entries in accordance with [this guide](./ingress.md).
 
 ## Add the Drycc Chart Repository
 
diff --git a/src/installing-workflow/system-requirements.md b/src/installing-workflow/system-requirements.md
index e2eec4b83..90f92ca27 100644
--- a/src/installing-workflow/system-requirements.md
+++ b/src/installing-workflow/system-requirements.md
@@ -9,12 +9,12 @@ Drycc Workflow requires Kubernetes v1.16.15 or later.
 ## Components Requirements
 
 Drycc uses ingress as a routing implementation, so you have to choose an ingress.
-We recommend using [nginx-ingress](https://github.com/helm/charts/tree/master/stable/nginx-ingress) or [traefik-ingress](https://github.com/helm/charts/tree/master/stable/traefik), which we have adapted to whitelist and force TLS functions.
+We recommend using [nginx-ingress](https://github.com/helm/charts/tree/master/stable/nginx-ingress) or [traefik-ingress](https://github.com/helm/charts/tree/master/stable/traefik), which we have adapted to allowlist and force TLS functions.
 
 Workflow supports the use of ACME to manage automatic certificates, [cert-manager](https://github.com/helm/charts/tree/master/stable/cert-manager) is also one of the necessary components.
 
 Workflow supports stateful apps. You can create and use them through the 'drycc volumes' command. If you want to use this feature, you must have a `StorageClass` that supports `ReadWriteMany`.
- 
+
 Workflow also supports the [OSB](https://github.com/openservicebrokerapi/servicebroker) API through the 'drycc resources' command. If you want to use this function, you need to install [service-catalog](https://svc-cat.io).
 
 ## Storage Requirements
diff --git a/src/managing-workflow/platform-logging.md b/src/managing-workflow/platform-logging.md
index 9e594de98..c2c854f94 100644
--- a/src/managing-workflow/platform-logging.md
+++ b/src/managing-workflow/platform-logging.md
@@ -2,7 +2,7 @@
 
 The logging platform is made up of 2 components - [Fluentd](https://github.com/drycc/fluentd) and [Logger](https://github.com/drycc/logger).
 
-[Fluentd](https://github.com/drycc/fluentd) runs on every worker node of the cluster and is deployed as a [Daemon Set](http://kubernetes.io/v1.1/docs/admin/daemons.html). The Fluentd pods capture all of the stderr and stdout streams of every container running on the host (even those not hosted directly by kubernetes). Once the log message arrives in our [custom fluentd plugin](https://github.com/drycc/fluentd/tree/master/rootfs/opt/fluentd/drycc-output) we determine where the message originated.
+[Fluentd](https://github.com/drycc/fluentd) runs on every worker node of the cluster and is deployed as a [Daemon Set](http://kubernetes.io/v1.1/docs/admin/daemons.html). The Fluentd pods capture all of the stderr and stdout streams of every container running on the host (even those not hosted directly by kubernetes). Once the log message arrives in our [custom fluentd plugin](https://github.com/drycc/fluentd/tree/main/rootfs/opt/fluentd/drycc-output) we determine where the message originated.
 
 If the message was from the [Workflow Controller](https://github.com/drycc/controller) or from an application deployed via workflow we send it to the logs topic on the local [NSQD](http://nsq.io) instance.
 
diff --git a/src/managing-workflow/platform-monitoring.md b/src/managing-workflow/platform-monitoring.md
index ef91cb695..98fa5bbb0 100644
--- a/src/managing-workflow/platform-monitoring.md
+++ b/src/managing-workflow/platform-monitoring.md
@@ -54,7 +54,7 @@ A production install of Grafana should have the following configuration values c
 
 * Change the default username and password from `admin/admin`. The value for the password is passed in plain text so it is best to set this value on the command line instead of checking it into version control.
 * Enable persistence
-* Use a supported external database such as mysql or postgres. You can find more information [here](https://github.com/drycc/monitor/blob/master/grafana/rootfs/usr/share/grafana/grafana.ini.tpl#L62)
+* Use a supported external database such as mysql or postgres. You can find more information [here](https://github.com/drycc/monitor/blob/main/grafana/rootfs/usr/share/grafana/grafana.ini.tpl#L62)
 
 
 ### On Cluster Persistence
@@ -109,7 +109,7 @@ Telegraf is the metrics collection daemon used within the monitoring stack. It w
 * Container level metrics such as CPU and Memory
 * Kubernetes metrics such as API request latency, Pod Startup Latency, and number of running pods
 
-It is possible to send these metrics to other endpoints besides InfluxDB. For more information please consult the following [file](https://github.com/drycc/monitor/blob/master/telegraf/rootfs/config.toml.tpl)
+It is possible to send these metrics to other endpoints besides InfluxDB. For more information please consult the following [file](https://github.com/drycc/monitor/blob/main/telegraf/rootfs/config.toml.tpl)
 
 ### Customizing the Monitoring Stack
 
diff --git a/src/managing-workflow/tuning-component-settings.md b/src/managing-workflow/tuning-component-settings.md
index 12db6797e..6e423db3a 100644
--- a/src/managing-workflow/tuning-component-settings.md
+++ b/src/managing-workflow/tuning-component-settings.md
@@ -112,7 +112,7 @@ BACKUPS_TO_RETAIN | number of base backups the backing store should retain (defa
 
 ## Customizing Fluentd
 
-The following values can be changed in the `values.yaml` file or by using the `--set` flag with the Helm CLI. 
+The following values can be changed in the `values.yaml` file or by using the `--set` flag with the Helm CLI.
 
 Key               | Default | Description
 ------------------| --------| ---------------------------------
@@ -129,7 +129,7 @@ output.disable_drycc | false | Disable the Drycc output plugin
 boot.install_build_tools | false | Install the build tools package. This is useful when using custom plugins
 daemon_environment | | Takes key-value pairs and turns them into environment variables.
 
-For more information about the various environment variables that can be set please see the [README](https://github.com/drycc/fluentd/blob/master/README.md)
+For more information about the various environment variables that can be set please see the [README](https://github.com/drycc/fluentd/blob/main/README.md)
 
 ## Customizing the Logger
 
@@ -151,18 +151,18 @@ user   | "admin" | The first user created in the database (this user has admin p
 password | "admin" | Password for the first user.
 allow_sign_up | "true" | Allows users to sign up for an account.
 
-For a list of other options you can set by using environment variables please see the [configuration file](https://github.com/drycc/monitor/blob/master/grafana/rootfs/usr/share/grafana/grafana.ini.tpl) in Github.
+For a list of other options you can set by using environment variables please see the [configuration file](https://github.com/drycc/monitor/blob/main/grafana/rootfs/usr/share/grafana/grafana.ini.tpl) in Github.
 
 ### [Telegraf](https://docs.influxdata.com/telegraf)
-For a list of configuration values that can be set by using environment variables please see the following [configuration file](https://github.com/drycc/monitor/blob/master/telegraf/rootfs/config.toml.tpl).
+For a list of configuration values that can be set by using environment variables please see the following [configuration file](https://github.com/drycc/monitor/blob/main/telegraf/rootfs/config.toml.tpl).
 
 ### [InfluxDB](https://docs.influxdata.com/influxdb)
-You can find a list of values that can be set using environment variables [here](https://github.com/drycc/monitor/blob/master/influxdb/rootfs/home/influxdb/config.toml.tpl).
+You can find a list of values that can be set using environment variables [here](https://github.com/drycc/monitor/blob/main/influxdb/rootfs/home/influxdb/config.toml.tpl).
 
 ## Customizing the Registry
 
 The [Registry][] component can be tuned by following the
-[drycc/distribution config doc](https://github.com/drycc/distribution/blob/master/docs/configuration.md).
+[drycc/distribution config doc](https://github.com/drycc/distribution/blob/main/docs/configuration.md).
 
 ## Customizing the Router
 
diff --git a/src/managing-workflow/upgrading-workflow.md b/src/managing-workflow/upgrading-workflow.md
index de6886db6..20dbe4228 100644
--- a/src/managing-workflow/upgrading-workflow.md
+++ b/src/managing-workflow/upgrading-workflow.md
@@ -80,10 +80,10 @@ drycc-registry-proxy-zyajl                1/1       Running   0          5m
 Users of Drycc Workflow should now upgrade their drycc client to avoid getting `WARNING: Client and server API versions do not match. Please consider upgrading.` warnings.
 
 ```
-curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/master/install-v2.sh | bash -s v2.20.0 && sudo mv drycc $(which drycc)
+curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install-v2.sh | bash -s v2.20.0 && sudo mv drycc $(which drycc)
 ```
 
 
 [minio]: https://github.com/drycc/minio
 [Configuring Object Storage]: ../installing-workflow/configuring-object-storage.md
-[Workflow-Migration]: https://github.com/drycc/workflow-migration/blob/master/README.md
+[Workflow-Migration]: https://github.com/drycc/workflow-migration/blob/main/README.md
diff --git a/src/quickstart/install-cli-tools.md b/src/quickstart/install-cli-tools.md
index 5b6d7d5f4..65ab5a2bc 100644
--- a/src/quickstart/install-cli-tools.md
+++ b/src/quickstart/install-cli-tools.md
@@ -5,7 +5,7 @@ Use the CLI to create and configure and manage applications.
 
 Install the `drycc` client for Linux or Mac OS X with:
 
-    $ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/master/install.tmpl | bash -s v1.0.1
+    $ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install.tmpl | bash -s v1.0.1
 
 Others please visit: https://github.com/drycc/workflow-cli/releases
 
diff --git a/src/roadmap/releases.md b/src/roadmap/releases.md
index 00f144c74..bf26394e9 100644
--- a/src/roadmap/releases.md
+++ b/src/roadmap/releases.md
@@ -204,7 +204,7 @@ it if it has not done so already.
 Each component already updated its release notes on GitHub with CHANGELOG content. We'll now
 generate the master changelog for the Workflow chart, consisting of all component and auxilliary repo changes.
 
-We'll employ the `requirements.lock` file from the `WORKFLOW_PREV_RELEASE` chart, as well as a repo-to-chart-name [mapping file](https://github.com/drycc/dryccrel/blob/master/map.json), this time invoking `dryccrel changelog global` to get all component changes between
+We'll employ the `requirements.lock` file from the `WORKFLOW_PREV_RELEASE` chart, as well as a repo-to-chart-name [mapping file](https://github.com/drycc/dryccrel/blob/main/map.json), this time invoking `dryccrel changelog global` to get all component changes between
 the chart versions existing in the `WORKFLOW_PREV_RELEASE` chart and the _most recent_ releases existing in GitHub.
 (Therefore, if there are any unreleased commits in a component repo, they will not appear here):
 
@@ -252,7 +252,7 @@ Kick off https://ci.drycc.info/job/workflow-cli-build-stable/ with the `TAG` bui
 and then verify `stable` artifacts are available and appropriately updated after the job completes:
 
 ```
-$ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/master/install-v2.sh | bash -s v2.20.0
+$ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install-v2.sh | bash -s v2.20.0
 $ ./drycc version
 # (Should show $WORKFLOW_RELEASE)
 ```
diff --git a/src/troubleshooting/index.md b/src/troubleshooting/index.md
index 004c689e1..759be767f 100644
--- a/src/troubleshooting/index.md
+++ b/src/troubleshooting/index.md
@@ -19,7 +19,7 @@ The most common problem for this issue is the user forgetting to run `drycc keys
 private key to their SSH agent. To do so, run `ssh-add ~/.ssh/id_rsa` and try running
 `git push drycc master` again.
 
-If you happen get a `Could not open a connection to your authentication agent` 
+If you happen get a `Could not open a connection to your authentication agent`
 error after trying to run `ssh-add` command above, you may need to load the SSH
 agent environment variables issuing the `eval "$(ssh-agent)"` command before.
 
diff --git a/src/users/cli.md b/src/users/cli.md
index 2ca38d48a..4860bda4a 100644
--- a/src/users/cli.md
+++ b/src/users/cli.md
@@ -7,7 +7,7 @@ with Drycc Workflow.
 
 Install the latest `drycc` client for Linux or Mac OS X with:
 
-    $ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/master/install-v2.sh | bash -s v2.20.0
+    $ curl -sSL https://raw.githubusercontent.com/drycc/workflow-cli/main/install-v2.sh | bash -s v2.20.0
 
 The installer puts `drycc` in your current directory, but you should move it
 somewhere in your $PATH: