diff --git a/src/installing-workflow/index.md b/src/installing-workflow/index.md
index 1be9c10b6..fa684385a 100644
--- a/src/installing-workflow/index.md
+++ b/src/installing-workflow/index.md
@@ -88,12 +88,12 @@ NAME                                     READY     STATUS    RESTARTS   AGE
 drycc-builder-574483744-l15zj             1/1       Running   0          4m
 drycc-controller-3953262871-pncgq         1/1       Running   2          4m
 drycc-database-83844344-47ld6             1/1       Running   0          4m
+drycc-influxdb-2729788615-m9b5n           1/1       Running   0          4m
 drycc-logger-176328999-wjckx              1/1       Running   4          4m
 drycc-logger-fluentd-zxnqb                1/1       Running   0          4m
 drycc-redis-304849759-1f35p               1/1       Running   0          4m
 drycc-minio-676004970-nxqgt               1/1       Running   0          4m
 drycc-monitor-grafana-432627134-lnl2h     1/1       Running   0          4m
-drycc-monitor-influxdb-2729788615-m9b5n   1/1       Running   0          4m
 drycc-monitor-telegraf-wmcmn              1/1       Running   1          4m
 drycc-nsqd-3597503299-6mn2x               1/1       Running   0          4m
 drycc-registry-756475849-lwc6b            1/1       Running   1          4m
diff --git a/src/managing-workflow/tuning-component-settings.md b/src/managing-workflow/tuning-component-settings.md
index 6e423db3a..5cefcedf1 100644
--- a/src/managing-workflow/tuning-component-settings.md
+++ b/src/managing-workflow/tuning-component-settings.md
@@ -157,7 +157,7 @@ For a list of other options you can set by using environment variables please se
 For a list of configuration values that can be set by using environment variables please see the following [configuration file](https://github.com/drycc/monitor/blob/main/telegraf/rootfs/config.toml.tpl).
 
 ### [InfluxDB](https://docs.influxdata.com/influxdb)
-You can find a list of values that can be set using environment variables [here](https://github.com/drycc/monitor/blob/main/influxdb/rootfs/home/influxdb/config.toml.tpl).
+You can find a list of values that can be set using environment variables [here](https://github.com/drycc/influxdb/blob/main/rootfs/home/influxdb/config.toml.tpl).
 
 ## Customizing the Registry
 
diff --git a/src/managing-workflow/upgrading-workflow.md b/src/managing-workflow/upgrading-workflow.md
index 637a9de9b..b0ed9a137 100644
--- a/src/managing-workflow/upgrading-workflow.md
+++ b/src/managing-workflow/upgrading-workflow.md
@@ -55,6 +55,7 @@ NAME                                     READY     STATUS    RESTARTS   AGE
 drycc-builder-2448122224-3cibz            1/1       Running   0          5m
 drycc-controller-1410285775-ipc34         1/1       Running   3          5m
 drycc-database-e7c5z                      1/1       Running   0          5m
+drycc-influxdb-ah8io                      1/1       Running   0          5m
 drycc-logger-cgjup                        1/1       Running   3          5m
 drycc-logger-fluentd-45h7j                1/1       Running   0          5m
 drycc-logger-fluentd-4z7lw                1/1       Running   0          5m
@@ -62,7 +63,6 @@ drycc-logger-fluentd-k2wsw                1/1       Running   0          5m
 drycc-logger-fluentd-skdw4                1/1       Running   0          5m
 drycc-redis-8nazu                         1/1       Running   0          5m
 drycc-monitor-grafana-tm266               1/1       Running   0          5m
-drycc-monitor-influxdb-ah8io              1/1       Running   0          5m
 drycc-monitor-telegraf-51zel              1/1       Running   1          5m
 drycc-monitor-telegraf-cdasg              1/1       Running   0          5m
 drycc-monitor-telegraf-hea6x              1/1       Running   0          5m
diff --git a/src/troubleshooting/kubectl.md b/src/troubleshooting/kubectl.md
index 1806bfa4c..4ba5da6e0 100644
--- a/src/troubleshooting/kubectl.md
+++ b/src/troubleshooting/kubectl.md
@@ -13,11 +13,11 @@ running, run:
 	drycc-builder-gqum7            0/1       ContainerCreating   0          4s
 	drycc-controller-h6lk6         0/1       ContainerCreating   0          4s
 	drycc-database-56v39           0/1       ContainerCreating   0          4s
+        drycc-influxdb-f9ftm           0/1       Pending             0          3s
 	drycc-logger-fluentd-xihr1     0/1       Pending             0          2s
 	drycc-logger-grupg             0/1       ContainerCreating   0          3s
 	drycc-minio-c2exb              0/1       Pending             0          3s
 	drycc-monitor-grafana-9ccur    0/1       Pending             0          3s
-	drycc-monitor-influxdb-f9ftm   0/1       Pending             0          3s
 	drycc-monitor-stdout-novxs     0/1       Pending             0          3s
 	drycc-monitor-telegraf-dc3y3   0/1       Pending             0          2s
 	drycc-registry-5bor6           0/1       Pending             0          3s